Bug 178837 - Web Inspector: Styles Redesign: Make "Style Attribute" text darker and non-focusable
Summary: Web Inspector: Styles Redesign: Make "Style Attribute" text darker and non-fo...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nikita Vasilyev
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-10-25 16:36 PDT by Nikita Vasilyev
Modified: 2017-11-15 12:44 PST (History)
4 users (show)

See Also:


Attachments
[Image] Current UI (27.01 KB, image/png)
2017-10-25 16:36 PDT, Nikita Vasilyev
no flags Details
Patch (2.72 KB, patch)
2017-10-25 16:40 PDT, Nikita Vasilyev
no flags Details | Formatted Diff | Diff
[Image] With patch applied (33.96 KB, image/png)
2017-10-25 16:41 PDT, Nikita Vasilyev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Vasilyev 2017-10-25 16:36:24 PDT
Created attachment 324920 [details]
[Image] Current UI

"Style Attribute" is currently light gray and could be confused for a disabled section.

"Style Attribute" is not editable and should not be focusable.
Comment 1 Nikita Vasilyev 2017-10-25 16:40:22 PDT
Created attachment 324921 [details]
Patch
Comment 2 Nikita Vasilyev 2017-10-25 16:41:59 PDT
Created attachment 324923 [details]
[Image] With patch applied
Comment 3 Brian Burg 2017-10-26 16:27:04 PDT
Comment on attachment 324921 [details]
Patch

rs=me
Comment 4 WebKit Commit Bot 2017-10-26 16:32:09 PDT
Comment on attachment 324921 [details]
Patch

Clearing flags on attachment: 324921

Committed r224064: <https://trac.webkit.org/changeset/224064>
Comment 5 WebKit Commit Bot 2017-10-26 16:32:10 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-11-15 12:44:10 PST
<rdar://problem/35568051>